> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ilitylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Re-check an issue

> Rescans the pages where the issue appears. With an API key, the domain's plan must include API triggers.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/issues/{id}/recheck
openapi: 3.1.0
info:
  title: ility API
  version: 1.0.0
  description: Read accessibility results and start scans in your ility workspace.
servers:
  - url: https://app.ilitylabs.com
security:
  - apiKey: []
tags:
  - name: Workspaces
  - name: Surfaces
  - name: Domains
  - name: Scans
  - name: Issues
paths:
  /v1/issues/{id}/recheck:
    post:
      tags:
        - Issues
      summary: Re-check an issue
      description: >-
        Rescans the pages where the issue appears. With an API key, the domain's
        plan must include API triggers.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecheckIssueRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecheckIssueResponse'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            Forbidden (viewer role, a caller with no member row, or an API key
            on a domain whose plan has no programmatic triggers: reason
            'api_triggers_not_entitled')
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Issue not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    RecheckIssueRequest:
      type: object
      properties:
        engine_ids:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
    RecheckIssueResponse:
      type: object
      properties:
        runs:
          type: array
          items:
            $ref: '#/components/schemas/ScanRun'
        pages_queued:
          type: integer
          minimum: 0
      required:
        - runs
        - pages_queued
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
        reason:
          type: string
      required:
        - detail
    ScanRun:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workspace_id:
          type: string
          format: uuid
        domain_id:
          type: string
          format: uuid
        engine_id:
          type: string
          format: uuid
        engine_slug:
          type: string
        scan_request_id:
          type: string
          format: uuid
        scope:
          type: string
        status:
          type: string
        trigger_source:
          type: string
        triggered_by_user_id:
          type:
            - string
            - 'null'
        config_snapshot:
          type: object
          additionalProperties: {}
        pages_scanned:
          type:
            - integer
            - 'null'
        pages_failed:
          type:
            - integer
            - 'null'
        issues_found:
          type:
            - integer
            - 'null'
        score:
          type:
            - integer
            - 'null'
        has_blocking:
          type: boolean
        error:
          type:
            - string
            - 'null'
        cancel_requested_at:
          type:
            - string
            - 'null'
          format: date-time
        pause_requested_at:
          type:
            - string
            - 'null'
          format: date-time
        paused_at:
          type:
            - string
            - 'null'
          format: date-time
        started_at:
          type:
            - string
            - 'null'
          format: date-time
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - workspace_id
        - domain_id
        - engine_id
        - engine_slug
        - scan_request_id
        - scope
        - status
        - trigger_source
        - triggered_by_user_id
        - config_snapshot
        - pages_scanned
        - pages_failed
        - issues_found
        - score
        - has_blocking
        - error
        - cancel_requested_at
        - pause_requested_at
        - paused_at
        - started_at
        - completed_at
        - created_at
        - updated_at
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        An ility API key, such as `ilk_1a2b3c4d_…`. Workspace owners create keys
        under Settings → API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.